package hr.webtech.pay2.example;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;

import java.util.List;

import ba.leftor.android.pikpay.R;
import hr.webtech.pay2.data.Merchant;
import rx.functions.Action1;

/**
 * Created by jasminsuljic on 03/08/2018.
 * pgw-android
 */
public class MerchantAdapter extends StableArrayAdapter<Merchant> {

    MerchantAdapter(Context context, List<Merchant> objects, Action1<Merchant> onClickAction) {
        super(context, objects, onClickAction);
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        LayoutInflater inflater = (LayoutInflater) parent.getContext()
                .getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        View rowView = inflater.inflate(R.layout.merchant_item, parent, false);

        final Merchant merchant = values.get(position);

        final Button button = (Button) rowView.findViewById(R.id.merchant_button);

        button.setText(merchant.getMerchantId());

        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                MerchantAdapter.this.onClick(merchant);
            }
        });

        return rowView;
    }
}
