package hr.webtech.pay2.data;

import android.os.Parcel;
import android.os.Parcelable;
import android.support.annotation.Nullable;

/**
 * Created by jasminsuljic on 20/06/2018.
 * WebtehPaymentLib
 */

public final class Customer implements Parcelable {

    @Nullable
    String cardHolder;

    @Nullable
    String email;

    @Nullable
    String address;

    @Nullable
    String phoneNumber;

    @Nullable
    String city;

    @Nullable
    String userId;

    public Customer(@Nullable String cardHolder, @Nullable String email,
                    @Nullable String address,
                    @Nullable String phoneNumber,
                    @Nullable String city,
                    @Nullable String userId) {
        this.cardHolder = cardHolder;
        this.email = email;
        this.address = address;
        this.phoneNumber = phoneNumber;
        this.city = city;
        this.userId = userId;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Nullable
    public String getCardHolder() {
        return cardHolder;
    }

    @Nullable
    public String getEmail() {
        return email;
    }

    @Nullable
    public String getAddress() {
        return address;
    }

    @Nullable
    public String getPhoneNumber() {
        return phoneNumber;
    }

    @Nullable
    public String getCity() {
        return city;
    }

    @Nullable
    public String getUserId() {
        return userId;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.cardHolder);
        dest.writeString(this.email);
        dest.writeString(this.address);
        dest.writeString(this.phoneNumber);
        dest.writeString(this.city);
        dest.writeString(userId);
    }

    private Customer(Parcel in) {
        this.cardHolder = in.readString();
        this.email = in.readString();
        this.address = in.readString();
        this.phoneNumber = in.readString();
        this.city = in.readString();
        this.userId = in.readString();
    }

    public static final Parcelable.Creator<Customer> CREATOR = new Parcelable.Creator<Customer>() {
        @Override
        public Customer createFromParcel(Parcel source) {
            return new Customer(source);
        }

        @Override
        public Customer[] newArray(int size) {
            return new Customer[size];
        }
    };
}
