package hr.webtech.pay2.util;

import android.support.annotation.Nullable;

import hr.webtech.pay2.data.PayCvvModel;

/**
 * Created by jasminsuljic on 19/12/16.
 * pgw-android
 */

/**
 * Interface used to resolve url query parameters, and to {@link #encode(Object)}  when
 * creating url.
 * <p>
 * See {@link hr.webtech.pay2.view.WebtehWebView#payCvv(PayCvvModel)}
 */
public interface InputResolver {
    @Nullable
    <T> String encode(@Nullable T data);

    @Nullable
    String decode(@Nullable String input);
}
