package hr.webtech.pay2.data;

import android.os.Parcel;
import android.os.Parcelable;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import hr.webtech.pay2.api.PgwApi;

/**
 * Created by jasminsuljic on 19/12/16.
 * pgw-android
 */

/**
 * Used when transaction error occurs. Use {@link PgwApi#getError(int)} to get
 * error details
 */
@Deprecated
public final class TransactionError implements Parcelable {
    @SerializedName("error_id")
    @Expose
    private int errorId;

    private TransactionError(Parcel in) {
        errorId = in.readInt();
    }

    public static final Creator<TransactionError> CREATOR = new Creator<TransactionError>() {
        @Override
        public TransactionError createFromParcel(Parcel in) {
            return new TransactionError(in);
        }

        @Override
        public TransactionError[] newArray(int size) {
            return new TransactionError[size];
        }
    };

    public int getErrorId() {
        return errorId;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(errorId);
    }
}
